
Redmine - Defect #8800

Cannot search for issue references by issue number

2011-07-13 14:13 - Alex Shulgin

Status: Closed Start date: 2011-07-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Searching for issue references in other issues or wiki pages doesn't work.

If I enter '#nnn' or 'nnn' in the search box I'm redirected to the issue with id 'nnn'.  This is useful for quick-search, but prohibits explicit

search for pages or issues which mention the issue number in text.

Is there any workaround?

History

#1 - 2011-07-13 14:44 - Etienne Massip

Maybe this behavior should be changed for search input field in Search screen and be kept only for the upper right Search box.

#2 - 2011-07-13 15:24 - Alex Shulgin

Etienne Massip wrote:

Maybe this behavior should be changed for search input field in Search screen and be kept only for the upper right Search box.

 Hm... that could work for me.  Can we add a hidden input field to one of the forms?  Better ideas?

#3 - 2011-07-18 22:46 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

You can use double-quotes for that. Eg "#nnn" or "nnn".

#4 - 2011-07-19 06:12 - Alex Shulgin

Jean-Philippe Lang wrote:

You can use double-quotes for that. Eg "#nnn" or "nnn".

 Indeed, thank you!
